// Code generated by Kitex v1.9.3. DO NOT EDIT.
package demoapiservice

import (
	"code.byted.org/kite/kitex/byted"
	"code.byted.org/kite/kitex/server"
	"code.byted.org/libo.1220/libo.1220_api/kitex_gen/motor/ad/libo_api"
)

// NewServer creates a server.Server with the given handler and options.
func NewServer(handler libo_api.DemoApiService, opts ...server.Option) server.Server {
	var options []server.Option

	options = append(options, byted.ServerSuite(serviceInfo()))

	options = append(options, opts...)

	svr := server.NewServer(options...)
	if err := svr.RegisterService(serviceInfo(), handler); err != nil {
		panic(err)
	}
	return svr
}

// NewServerWithBytedConfig creates a server.Server with the given handler and options.
func NewServerWithBytedConfig(handler libo_api.DemoApiService, config *byted.ServerConfig, opts ...server.Option) server.Server {
	var options []server.Option
	options = append(options, byted.ServerSuiteWithConfig(serviceInfo(), config))
	options = append(options, opts...)

	svr := server.NewServer(options...)
	if err := svr.RegisterService(serviceInfo(), handler); err != nil {
		panic(err)
	}
	return svr
}
